Skip to end of metadata
Go to start of metadata

This page exists to collect information about the uPortal 2.4 minor release.

Seriously old


uPortal 2.4 is a seriously old release series. Consider upgrading to or adopting a modern uPortal version.


About this release

WSRP4J-based WSRP Consumer, "Exclusive" portlet window state, Channel Archive (CAR) deployment automation, RSS version detection, HTML anchors on channel/portlet links, multiple-LDAP server support, error-viewing servlet, adoption of Apache Commons Logging.


uPortal 2.4.x does not compile or run under JDK / JRE 1.5. It works best under JDK 1.4.x. uPortal 2.4.0 and 2.4.1 support JDK 1.3. uPortal 2.4.2 probably works under JDK 1.3 but it is not particularly intended to support JDK 1.3. Since uPortal 2.4.2 the 2-4-patches CVS branch has acquired dependencies on JDK 1.4 features such that 2.4.3 when it is available will require JDK 1.4.

If you need a uPortal that supports JDK 1.5 consider uPortal 2.5.

Pages for specific 2.4 patch releases:





  • No labels